Bug 107773 - DOC import: multi-page floating table with page break is not multi-page
Summary: DOC import: multi-page floating table with page break is not multi-page
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-11 13:47 UTC by Miklos Vajna
Modified: 2020-06-03 10:47 UTC (History)
0 users

See Also:
Crash report or crash signature:
Regression By:


Attachments
Reproducer document. (28.50 KB, application/msword)
2017-05-11 13:47 UTC, Miklos Vajna
Details
Compare OO, LO, master with MSO (155.24 KB, image/png)
2017-07-18 15:00 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2017-05-11 13:47:18 UTC
Created attachment 133238 [details]
Reproducer document.

See bug 61594 for the context, this concrete situation is one where the intention is clearly a multi-page table, not a floating one. When there is a page break (or section break: next page) after such a table, that effectively disables any kind of wrapping, so in that case importing the table as a multi-page one is the correct thing to do (till the mentioned feature is not implemented).
Comment 1 Commit Notification 2017-05-11 19:22:53 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6aba29576df7a2a40e54040d4dd09d94d6594741

tdf#107773 DOC import: consider page breaks for multi-page floattables

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Timur 2017-07-18 15:00:03 UTC
Created attachment 134712 [details]
Compare OO, LO, master with MSO

Can't say why MSO has A1-3 on 1st page while Lo has A1-4 on 1st page. 
Is it part of this bug or some other issue?